org.eclipse.cdt.core.language.settings.providers

## Interface ILanguageSettingsChangeListener

    public interface ILanguageSettingsChangeListener

An interface for listeners to changes in language settings `ICLanguageSettingEntry`.

Since:
  5.4
See Also:
  `LanguageSettingsManager.registerLanguageSettingsChangeListener(ILanguageSettingsChangeListener)`, `LanguageSettingsManager.unregisterLanguageSettingsChangeListener(ILanguageSettingsChangeListener)`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `handleEvent(ILanguageSettingsChangeEvent event)` Indicates that language settings have been changed.

### Method Detail

#### handleEvent

    void handleEvent(ILanguageSettingsChangeEvent event)

Indicates that language settings have been changed.

Parameters:
  `event` - - details of the event.